Class | Fog::Compute::Vsphere::Server
In: | lib/fog/vsphere/models/compute/server.rb
Parent: | Fog::Compute::Server

### Methods

clone config_vnc create destroy memory migrate ready? reboot start stop tools_installed? vm_reconfig_cpus vm_reconfig_hardware vm_reconfig_memory vnc

### Public Instance methods

clone(options = {})
config_vnc(options = {})

defines VNC attributes on the hypervisor

create(options ={})
destroy(options = {})
memory()
migrate(options = {})
ready?()
reboot(options = {})
start(options = {})
stop(options = {})
tools_installed?()
vm_reconfig_cpus(options = {})
vm_reconfig_hardware(options = {})
vm_reconfig_memory(options = {})
vnc()

returns a hash of VNC attributes required for connection

[Validate]